com.independentsoft.exchange

## Class ImGroup

- java.lang.Object
- - com.independentsoft.exchange.ImGroup

-     public class ImGroup
      extends java.lang.Object

  The Class ImGroup.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImGroup()` Instantiates a new im group.
    `ImGroup(java.lang.String displayName)` Instantiates a new im group.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDisplayName()` Gets the display name.
    `ExtendedPropertyList` | `getExtendedProperties()` Gets a list of extended properties that are defined on this item.
    `ItemId` | `getGroupId()` Gets the unique identifier and change key of an item in the Exchange store.
    `java.lang.String` | `getGroupType()` Gets the group type.
    `java.util.List<ItemId>` | `getMemberCorrelationKey()` Gets the member correlation key.
    `java.lang.String` | `getSmtpAddress()` Gets the smtp address.
    `java.lang.String` | `toString()` Converts the value of the current imGroup object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImGroup

          public ImGroup()

      Instantiates a new im group.

    - #### ImGroup

          public ImGroup(java.lang.String displayName)

      Instantiates a new im group.
      Parameters:
        `displayName` - the display name

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current imGroup object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getGroupId

          public ItemId getGroupId()

      Gets the unique identifier and change key of an item in the Exchange store.
      Returns:
        the group id

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets the display name.
      Returns:
        the display name

    - #### getGroupType

          public java.lang.String getGroupType()

      Gets the group type.
      Returns:
        the group type

    - #### getMemberCorrelationKey

          public java.util.List<ItemId> getMemberCorrelationKey()

      Gets the member correlation key.
      Returns:
        the member correlation key

    - #### getSmtpAddress

          public java.lang.String getSmtpAddress()

      Gets the smtp address.
      Returns:
        the smtp address

    - #### getExtendedProperties

          public ExtendedPropertyList getExtendedProperties()

      Gets a list of extended properties that are defined on this item.
      Returns:
        the extended properties